Free Medisoft Support & Other - Courtesy Support Resource

For prospective & existing Walker Tek Solutions' clients. (Remember me for upgrades ~ Gavin)
It is currently Thu Jan 18, 2018 12:47 am

All times are UTC-05:00




Post new topic  Reply to topic  [ 41 posts ]  Go to page Previous 1 2 3
Author Message
PostPosted: Mon Sep 10, 2012 6:19 pm 
Offline

Joined: Tue Mar 08, 2011 9:18 pm
Posts: 20
Hi Mr. Walker:

Problem resolved. I inactivated temporarily the McAfee and RM updates went smoothly.
By the way where could I download Medisoft vers.17 sp.3 ? (I have only sp.2)
I have another issue with some commercial insurance, CIGNA in particular, each time I tried to send e-claims they got rejected and there is a message, "billing provider secondary identifier is missing"...

I checked and they were correctly populated and still they won't go through. Any idea?

Thanks. sjhtap


Top
   
PostPosted: Mon Sep 10, 2012 7:55 pm 
Offline
User avatar

Joined: Wed Apr 04, 2007 10:11 pm
Posts: 4003
Location: Springfield, MO
Click here for Medisoft v17 sp 3.3. I haven't had time to add it to my website yet. Be sure to Check for Updates again after you install this.

It sounds like Cigna wants a secondary ID for your provider. I am not sure what it is they want, so you'll probably have to call Cigna about this one.


Top
   
PostPosted: Tue Sep 11, 2012 9:48 pm 
Offline
User avatar

Joined: Wed Apr 04, 2007 10:11 pm
Posts: 4003
Location: Springfield, MO
My website IS updated. It looks like the website angels have been busy. Here is Medisoft v17 sp3.3.


Top
   
PostPosted: Tue Dec 10, 2013 6:17 pm 
Offline

Joined: Tue Mar 08, 2011 9:18 pm
Posts: 20
Hi Mr. Walker:

I have only 2 years left before I close my private practice. Do I really need to up-grade my Medisoft version 17 to version 19 to use the ICD-10 codes in my furture claims? I am only using the Advanced Accounting on the version 17, I do not use the PM or other stuffs. Just the accounting and to send my electronic claims. Your advice is appreciated.

Thanks. TAP


Top
   
PostPosted: Wed Dec 11, 2013 9:16 am 
Offline
User avatar

Joined: Wed Apr 04, 2007 10:11 pm
Posts: 4003
Location: Springfield, MO
The short answer is yes. The new CMS-1500 form will be required by 4/1/2014 and ICD-10 codes will be required by 10/1/2014. You can spend a lot of time trying to make v17 work, or you can just upgrade to ICD-10 ready v19. Currently Medisoft is on sale through 12/20/2013. Just follow the link and select Upgrade my Medisoft Advanced v17.


Top
   
PostPosted: Mon Dec 30, 2013 12:58 am 
Offline

Joined: Tue Mar 08, 2011 9:18 pm
Posts: 20
Hi Mr. walker, I just received the V19 of the Medisoft. Currently I am using the V17. I also had V16 installed in my computer. Do I need to un-install V16 & V17 before installing the V19?


Top
   
PostPosted: Mon Dec 30, 2013 9:26 am 
Offline
User avatar

Joined: Wed Apr 04, 2007 10:11 pm
Posts: 4003
Location: Springfield, MO
I always recommend uninstalling the old Medisoft first (chose roll-back if prompted). Uninstall newest Medisoft first and work your way backwards. If you installed Medisoft multiple times, you will have to uninstall it multiple times to get it off. This can prevent problems with the upgrade. What you don't want to end up with is traces of the old Medisoft on your system which can sometimes cause problems.


Top
   
PostPosted: Tue Dec 31, 2013 11:23 am 
Offline

Joined: Tue Mar 08, 2011 9:18 pm
Posts: 20
Thanks for your prompt response Mr. Walker.

Just for clarification, do I uninstall ONLY the program of Medisoft Advanced V17 (376 MB) or do I have to un-install the Revenue Management for Medisoft V17 Advanced (266 MB) as well?

Thanks and Happy New Year!


Top
   
PostPosted: Tue Dec 31, 2013 11:43 am 
Offline
User avatar

Joined: Wed Apr 04, 2007 10:11 pm
Posts: 4003
Location: Springfield, MO
You should uninstall Revenue Management too.


Top
   
PostPosted: Mon Jan 27, 2014 10:00 pm 
Offline

Joined: Tue Mar 08, 2011 9:18 pm
Posts: 20
Hi Mr. Walker, I was about to install Medisoft v.19 Advanced, for single User, then I realized that currently I have the V17.02.78, do I need to up-date the current version to V17 sp.3.3 before proceeding w/installation of V19? Thanks for your input.


Top
   
PostPosted: Tue Jan 28, 2014 9:03 am 
Offline
User avatar

Joined: Wed Apr 04, 2007 10:11 pm
Posts: 4003
Location: Springfield, MO
No you don't, just uninstall your Medisoft and then install v19. One thing we discovered, do not uninstall your Revenue Management. We discovered a defect in the Medisoft install and Revenue Management should not be uninstalled before upgrading.


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 41 posts ]  Go to page Previous 1 2 3

All times are UTC-05:00


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Limited